summaryrefslogtreecommitdiffstats
path: root/graphics/vuescan/vuescan.SlackBuild
diff options
context:
space:
mode:
author Heiko Rosemann2013-10-29 08:37:42 +0100
committer Robby Workman2013-10-30 02:12:27 +0100
commitb6b3de5eac984b3bdbe0886635cd3ea21037cc18 (patch)
tree1f139f4d86ae7c2758fc5c83f1cdaa1a36ecd753 /graphics/vuescan/vuescan.SlackBuild
parent09d29715e46555ce738dadcf3d082c1c95cb3046 (diff)
downloadslackbuilds-b6b3de5eac984b3bdbe0886635cd3ea21037cc18.tar.gz
graphics/vuescan: Added (scanner software - commercial).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'graphics/vuescan/vuescan.SlackBuild')
-rw-r--r--graphics/vuescan/vuescan.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/graphics/vuescan/vuescan.SlackBuild b/graphics/vuescan/vuescan.SlackBuild
new file mode 100644
index 0000000000..7696ffc1bb
--- /dev/null
+++ b/graphics/vuescan/vuescan.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for vuescan
+
+# Copyright 2013 Heiko Rosemann, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vuescan
+VERSION=${VERSION:-9.2.24}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on
+# and choose source file accordingly
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86)
+ ARCH=i486
+ SOURCEFILE=vuex3292.tgz ;;
+ x86_64)
+ ARCH=x86_64
+ SOURCEFILE=vuex6492.tgz ;;
+ # Other archs are unsupported:
+ *) echo "ARCH $( uname -m ) is unsupported."; exit 1 ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$SOURCEFILE
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Program does not need compiling, is a binary program
+
+# Program does not provide any means of installing, so install it by hand to /opt
+mkdir -p $PKG/opt/$PRGNAM
+cp -a VueScan/* $PKG/opt/$PRGNAM
+
+# Create a script in /usr/bin to call the program
+mkdir -p $PKG/usr/bin
+echo "#!/bin/sh" > $PKG/usr/bin/$PRGNAM
+echo "cd /opt/$PRGNAM" >> $PKG/usr/bin/$PRGNAM
+echo "./$PRGNAM" >> $PKG/usr/bin/$PRGNAM
+chmod +x $PKG/usr/bin/$PRGNAM
+
+# Include the SlackBuild script in the documentation directory
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package; be sure to leave it in $OUTPUT
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}